Description: stop trying to read directories as files
 This was being silently ignored due to a latent bug in Perl.
 See the following for more information:
 - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1016369
 - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1025722 
Author: tony mancill <tmancill@debian.org>
Origin: vendor
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1026735
Forwarded: https://github.com/duncs/clusterssh/pull/150
Last-Update: 2023-01-04
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/lib/App/ClusterSSH/Config.pm
+++ b/lib/App/ClusterSSH/Config.pm
@@ -314,7 +314,7 @@
         $ENV{HOME} . '/.clusterssh/config',
         )
     {
-        $self->parse_config_file($config) if ( -e $config );
+        $self->parse_config_file($config) if ( -e $config && ! -d _ );
     }
 
     # write out default config file if necesasry
@@ -329,10 +329,10 @@
     # relative to config directory
     for my $config (@configs) {
         next unless ($config);    # can be null when passed from Getopt::Long
-        $self->parse_config_file($config) if ( -e $config );
+        $self->parse_config_file($config) if ( -e $config && ! -d _ );
 
         my $file = $ENV{HOME} . '/.clusterssh/config_' . $config;
-        $self->parse_config_file($file) if ( -e $file );
+        $self->parse_config_file($file) if ( -e $file && ! -d _ );
     }
 
     return $self;
--- a/t/15config.t
+++ b/t/15config.t
@@ -535,7 +535,7 @@
     chmod( 0755, $ENV{HOME} . '/.csshrc.DISABLED', $ENV{HOME} );
 }
 
-note('check failure to write default config is caught');
+note('check failure to write default config is caught when loading config');
 $ENV{HOME} = tempdir( CLEANUP => 1 );
 mkdir( $ENV{HOME} . '/.clusterssh' );
 mkdir( $ENV{HOME} . '/.clusterssh/config' );
